# -*- coding: utf8 -*-

from ConfigParser import ConfigParser


class DmrConfigParser:
    def __init__(self):

        self.config = ConfigParser()
        self.config_path = "config.ini"

    def config_section_map(self, section):

        dict1 = {}
        options = self.config.options(section)
        for option in options:
            try:
                dict1[option] = self.config.get(section, option)
                if dict1[option] == -1:
                    DebugPrint("Gec  %s" % option)
            except:
                print("Hata : %s!" % option)
                dict1[option] = None
        return dict1

    def get_db_configs(self):

        self.config.read(self.config_path)
        conf = {"host": self.config_section_map("Db")["host"],
                "user": self.config_section_map("Db")["user"],
                "password": self.config_section_map("Db")["password"],
                "db_name": self.config_section_map("Db")["db_name"],
                "sqlite_db": self.config_section_map("Db")["sqlite_db"],
                "scan_mode": self.config_section_map("Db")["scan_mode"]}
        return conf

    def config_write(self):
        with open(self.config_path, 'wb') as config_file:
            self.config.write(config_file)
        config_file.close()

    def set_db_configs(self,conf):
        self.config.read(self.config_path)
        for key, value in conf.iteritems():
            self.config.set("Db", key, value)
        self.config_write()

